XPRT_WAIT_FOR_BUFFER(9)

NAME
xprt_wait_for_buffer_space - wait for transport output buffer to clear

SYNOPSIS

void xprt_wait_for_buffer_space(struct rpc_task * task, rpc_action action);

ARGUMENTS

task
    task to be put to sleep

action
    function pointer to be executed after wait

DESCRIPTION

Note that we only set the timer for the case of RPC_IS_SOFT, since we don't in general want to force a socket disconnection due to an incomplete RPC call transmission.

COPYRIGHT